package com.uas.finance.erp.model;

import com.uas.finance.model.CustomerExcutive;
import com.uas.finance.util.DateUtils;

import java.util.Date;

/**
 * created by shicr on 2017/12/20
 * 管理层信息
 **/
public class CustomerExcutiveInfo {

    /**
     * ID
     */
    private Long id;

    /**
     * 企业uu
     * @return
     */
    private Long enuu;

    /**
     * 高管姓名
     */
    private String ce_name;

    /**
     *性别
     */
    private String ce_sex;

    /**
     *证件类型
     */
    private String ce_paperstype;

    /**
     *证件号码
     */
    private String ce_paperscode;


    /**
     *学历
     */
    private String ce_education;

    /**
     * 职务
     */
    private String ce_position;

    /**
     *担任该职务时间
     */
    private String ce_stwkfpo;

    /**
     * 从事本行业时间
     */
    private Integer ce_workeyears;

    /**
     *住所
     */
    private String ce_nowaddress;

    /**
     *工作简介
     */
    private String ce_woekexper;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getEnuu() {
        return enuu;
    }

    public void setEnuu(Long enuu) {
        this.enuu = enuu;
    }

    public String getCe_name() {
        return ce_name;
    }

    public void setCe_name(String ce_name) {
        this.ce_name = ce_name;
    }

    public String getCe_sex() {
        return ce_sex;
    }

    public void setCe_sex(String ce_sex) {
        this.ce_sex = ce_sex;
    }

    public String getCe_paperstype() {
        return ce_paperstype;
    }

    public void setCe_paperstype(String ce_paperstype) {
        this.ce_paperstype = ce_paperstype;
    }

    public String getCe_paperscode() {
        return ce_paperscode;
    }

    public void setCe_paperscode(String ce_paperscode) {
        this.ce_paperscode = ce_paperscode;
    }

    public String getCe_education() {
        return ce_education;
    }

    public void setCe_education(String ce_education) {
        this.ce_education = ce_education;
    }

    public String getCe_position() {
        return ce_position;
    }

    public void setCe_position(String ce_position) {
        this.ce_position = ce_position;
    }

    public String getCe_stwkfpo() {
        return ce_stwkfpo;
    }

    public void setCe_stwkfpo(String ce_stwkfpo) {
        this.ce_stwkfpo = ce_stwkfpo;
    }

    public Integer getCe_workeyears() {
        return ce_workeyears;
    }

    public void setCe_workeyears(Integer ce_workeyears) {
        this.ce_workeyears = ce_workeyears;
    }

    public String getCe_nowaddress() {
        return ce_nowaddress;
    }

    public void setCe_nowaddress(String ce_nowaddress) {
        this.ce_nowaddress = ce_nowaddress;
    }

    public String getCe_woekexper() {
        return ce_woekexper;
    }

    public void setCe_woekexper(String ce_woekexper) {
        this.ce_woekexper = ce_woekexper;
    }

    public CustomerExcutiveInfo(CustomerExcutive excutive) {
        this.id = excutive.getId();
        this.ce_education = excutive.getCe_education();
        this.ce_name = excutive.getCe_name();
        this.ce_nowaddress = excutive.getCe_nowaddress();
        this.ce_paperscode = excutive.getCe_paperscode();
        this.ce_paperstype = excutive.getCe_paperstype();
        this.ce_position = excutive.getCe_position();
        this.ce_sex = excutive.getCe_sex();
        this.ce_stwkfpo = excutive.getCe_stwkfpo() == null ? null : DateUtils.DateInfo(excutive.getCe_stwkfpo());
        this.ce_woekexper = excutive.getCe_woekexper();
        this.ce_workeyears = excutive.getCe_workeyears();
        this.enuu = excutive.getEnuu();
    }

    public CustomerExcutiveInfo() {

    }
}


